%global pkg_name leksah-server

%global common_summary Haskell %{pkg_name} library

%global common_description %{common_summary}

%global ghc_pkg_deps ghc-hslogger-devel, ghc-network-devel, ghc-process-leksah-devel, ghc-deepseq-devel, ghc-mtl-devel, ghc-ltk-devel, ghc-binary-shared-devel, ghc-haddock-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           %{pkg_name}
Version:        0.8.0.6
Release:        1%{?dist}
Summary:        Haskell %{pkg_name}

Group:          System Development/IDE
License:        GPL
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}


%prep
%setup -q


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install


%clean
rm -rf $RPM_BUILD_ROOT


%{?ghc_binlib_package}


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/leksahecho
%attr(644,root,root) %{_datadir}/%{pkg_name}-%{version}/data/prefscoll.lkshp


%changelog
* Sun Oct 10 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.8.0.6-1
- Modified license and depenedencies

* Sun Oct 10 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.0.6-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
